import time

from osv import fields,osv
from tools.translate import _


class shoreline_role(osv.osv):
    """
    Shoreline Church Volunteer Role
    """
    _name = "shoreline.role"
    _order = "name"

    _columns = {
                "name": fields.char("Volunteer Role", size=100),
                "crb_reqd": fields.boolean("CRB Required?"),
                "active": fields.boolean("Active"),
                "application_ids": fields.one2many("shoreline.application",
                                                    "role_id",
                                                    "Applications"),
            }

    _defaults = {
            "active": lambda *a: True,
            "crb_reqd": lambda *a: True,
            }

shoreline_role()

